Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Class JmsMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractTransportMessageHandler
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.jms.JmsMessageReceiver

All Implemented Interfaces:
  MessageListener, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, MessageSource, Connectable, MessageReceiver

Direct Known Subclasses:
  SingleJmsMessageReceiver

Deprecated. use `MultiConsumerJmsMessageReceiver` (set by default).

    @Deprecated
    public class JmsMessageReceiver

extends AbstractMessageReceiver
implements MessageListener

Registers a single JmsMessage listener but uses a thread pool to process incoming messages.

Nested Class Summary
`protected class` | `JmsMessageReceiver.JmsWorker` Deprecated.

Field Summary
`protected JmsConnector` | `connector` Deprecated.
`protected MessageConsumer` | `consumer` Deprecated.
`protected RedeliveryHandler` | `redeliveryHandler` Deprecated.
`protected Session` | `session` Deprecated.
`protected boolean` | `startOnConnect` Deprecated.

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`defaultInboundTransformers, defaultResponseTransformers, flowConstruct, listener, receiverKey`

Fields inherited from class org.mule.transport.AbstractTransportMessageHandler
`connected, connecting, endpoint, lifecycleManager, logger, muleMessageFactory, retryTemplate`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`JmsMessageReceiver(Connector connector, FlowConstruct flowConstruct, InboundEndpoint endpoint)` Deprecated.

Method Summary
`protected void` | `closeConsumer()` Deprecated.
`protected void` | `createConsumer()` Deprecated. Create a consumer for the jms destination
`protected void` | `doConnect()` Deprecated.
`protected void` | `doDisconnect()` Deprecated.
`protected void` | `doDispose()` Deprecated.
`protected void` | `doStart()` Deprecated.
`protected void` | `doStop()` Deprecated.
`void` | `onMessage(Message message)` Deprecated.

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`applyInboundTransformers, applyResponseTransformers, createLifecycleManager, createMuleEvent, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getFlowConstruct, getReceiverKey, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setListener, setReceiverKey, toString`

Methods inherited from class org.mule.transport.AbstractTransportMessageHandler
`activate, callDoStartWhenItIsConnected, connect, connectAndThenStart, createMuleMessage, createMuleMessage, createMuleMessage, createMuleMessageFactory, createNullMuleMessage, disconnect, dispose, disposeAndLogException, doInitialise, getConnectEventId, getConnector, getLifecycleState, initializeMessageFactory, initializeRetryPolicy, isConnected, isConnecting, isDoStartMustFollowDoConnect, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageReceiver
`createMuleMessage, createMuleMessage`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Field Detail

### connector

    protected JmsConnector connector

  Deprecated.

### redeliveryHandler

    protected RedeliveryHandler redeliveryHandler

  Deprecated.

### consumer

    protected MessageConsumer consumer

  Deprecated.

### session

    protected Session session

  Deprecated.

### startOnConnect

    protected boolean startOnConnect

  Deprecated.

Constructor Detail

### JmsMessageReceiver

    public JmsMessageReceiver(Connector connector,
                              FlowConstruct flowConstruct,
                              InboundEndpoint endpoint)
                       throws CreateException

  Deprecated.
  Throws:
    `CreateException`

Method Detail

### doConnect

    protected void doConnect()
                      throws Exception

  Deprecated.
  Overrides:
    `doConnect` in class `AbstractTransportMessageHandler`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Deprecated.
  Overrides:
    `doDisconnect` in class `AbstractTransportMessageHandler`
  Throws:
    `Exception`

### onMessage

    public void onMessage(Message message)

  Deprecated.
  Specified by:
    `onMessage` in interface `MessageListener`

### doStart

    protected void doStart()
                    throws MuleException

  Deprecated.
  Overrides:
    `doStart` in class `AbstractTransportMessageHandler`
  Throws:
    `MuleException`

### doStop

    protected void doStop()
                   throws MuleException

  Deprecated.
  Overrides:
    `doStop` in class `AbstractTransportMessageHandler`
  Throws:
    `MuleException`

### doDispose

    protected void doDispose()

  Deprecated.
  Overrides:
    `doDispose` in class `AbstractMessageReceiver`

### closeConsumer

    protected void closeConsumer()

  Deprecated.

### createConsumer

    protected void createConsumer()
                           throws Exception

  Deprecated.
  Create a consumer for the jms destination

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.